#
# spec file for package nodejs-inherits
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name inherits

Name:           nodejs-inherits
Version:        2.0.1
Release:        11.1
Summary:        Inheritance in Java Script
License:        ISC
Group:          Development/Libraries/Other
Url:            https://github.com/isaacs/inherits
Source:         %{base_name}-%{version}.tar.gz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
Browser-friendly inheritance fully compatible with standard node.js inherits.

This package exports standard inherits from node.js util module in node
environment, but also provides alternative browser-friendly implementation
through browser field. Alternative implementation is a literal copy of
standard one located in standalone module to avoid requiring of util. It also
has a shim for old browsers with no Object.create support.

While keeping you sure you are using standard inherits implementation in
node.js environment, it allows bundlers such as browserify to not include
full util package to your client code if all you need is just inherits
function. It worth, because browser shim for util package is large and
inherits is often the single function you need from it.

It's recommended to use this package instead of require('util').inherits for
any code that has chances to be used not only in node.js but in browser too.

%prep
%setup -q -n %{base_name}-%{version}

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr package.json %{base_name}.js inherits_browser.js \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}

%check
node test.js

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Wed Aug 13 2014 jgleissner@suse.com
- spec file clean up
* Wed Jan 29 2014 rschweikert@suse.com
- spec clean up
  + locally define module path
  + use definition for simplification
* Tue Jan 28 2014 rschweikert@suse.com
- Initial build
